// MyButton.cpp : implementation file
//

#include "stdafx.h"
#include "o2Launcher.h"
#include "MyButton.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyButton

CMyButton::CMyButton()
{
	btnState = FALSE;
}

CMyButton::~CMyButton()
{
}


BEGIN_MESSAGE_MAP(CMyButton, CButton)
	//{{AFX_MSG_MAP(CMyButton)
	ON_WM_PAINT()
	ON_WM_ENABLE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyButton message handlers

void CMyButton::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here

	CRect rect;
	CBitmap fundo;
	BITMAP fundo_info;
	CDC dBuffer;

	
	GetClientRect(&rect);
		
	dBuffer.CreateCompatibleDC(&dc);


	if (btnState) fundo.LoadBitmap(bmpEnabled);
	else fundo.LoadBitmap(bmpDisabled);
	fundo.GetBitmap(&fundo_info);
	dBuffer.SelectObject(&fundo);
		

	dc.StretchBlt(0,0,rect.right,rect.bottom, &dBuffer, 
		 0, 0,fundo_info.bmWidth,fundo_info.bmHeight,SRCCOPY);

	fundo.Detach();

	
	// Do not call CButton::OnPaint() for painting messages
}

void CMyButton::OnEnable(BOOL bEnable) 
{

	CButton::OnEnable(bEnable);

	btnState = bEnable;

	OnPaint();

	this->Invalidate(TRUE);
	
}

void CMyButton::Redraw(BOOL state)
{
	OnPaint();

}

void CMyButton::DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct) 
{
	// TODO: Add your code to draw the specified item
	
}
