// RomDirDlg.cpp : implementation file
//

#include "stdafx.h"
#include "o2Launcher.h"
#include "RomDirDlg.h"
#include "shlobj.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRomDirDlg dialog


CRomDirDlg::CRomDirDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRomDirDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRomDirDlg)
	m_strRomDir = _T("");
	m_strEmuDir = _T("");
	//}}AFX_DATA_INIT
}


void CRomDirDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRomDirDlg)
	DDX_Text(pDX, IDC_EDIT1, m_strRomDir);
	DDX_Text(pDX, IDC_EDIT2, m_strEmuDir);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRomDirDlg, CDialog)
	//{{AFX_MSG_MAP(CRomDirDlg)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	ON_BN_CLICKED(IDC_BROWSE2, OnBrowse2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRomDirDlg message handlers

void CRomDirDlg::OnBrowse() 
{
	// TODO: Add your control notification handler code here

	BROWSEINFO bi;
	ITEMIDLIST *idList;
	char szBuffer[MAX_PATH];
	char szTitle[]="Select the Roms Directory";
	
	bi.hwndOwner = m_hWnd;
	bi.pidlRoot = NULL;
	bi.pszDisplayName = szBuffer;
	bi.lpszTitle = szTitle;
	bi.ulFlags = NULL;
	bi.lpfn = NULL;
	

	idList = SHBrowseForFolder(&bi);
	if (idList!=NULL)
	{
		if (SHGetPathFromIDList(idList,szBuffer))
		{
			UpdateData(TRUE);
			m_strRomDir = szBuffer;
			UpdateData(FALSE);
		}
	}
	
}

void CRomDirDlg::OnBrowse2() 
{
	// TODO: Add your control notification handler code here

	BROWSEINFO bi;
	ITEMIDLIST *idList;
	char szBuffer[MAX_PATH];
	char szTitle[]="Select the O2EM Directory";
	
	bi.hwndOwner = m_hWnd;
	bi.pidlRoot = NULL;
	bi.pszDisplayName = szBuffer;
	bi.lpszTitle = szTitle;
	bi.ulFlags = NULL;
	bi.lpfn = NULL;
	

	idList = SHBrowseForFolder(&bi);
	if (idList!=NULL)
	{
		if (SHGetPathFromIDList(idList,szBuffer))
		{
			UpdateData(TRUE);
			m_strEmuDir = szBuffer;
			UpdateData(FALSE);
		}
	}

	
}
