#if !defined(AFX_TABSETTINGS_H__9549869F_C4E1_4030_919A_B639AE7760DE__INCLUDED_)
#define AFX_TABSETTINGS_H__9549869F_C4E1_4030_919A_B639AE7760DE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TabSettings.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CTabSettings dialog

class CTabSettings : public CDialog
{
// Construction
public:
	BOOL refreshRoms;
	CTabSettings(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTabSettings)
	enum { IDD = IDD_TAB_SETTINGS };
	CComboBox	m_Stick2;
	CComboBox	m_Stick1;
	CSliderCtrl	m_SpeedSlider;
	CSliderCtrl	m_VoiceSlider;
	CSliderCtrl	m_AudioSlider;
	CComboBox	m_WindowSize;
	BOOL	m_bFullscreen;
	BOOL	m_bScanlines;
	int		m_nAudioVolume;
	int		m_nVoiceVolume;
	BOOL	m_bNoAudio;
	BOOL	m_bNoVoice;
	int		m_nSpeed;
	BOOL	m_bSpeedLimiter;
	BOOL	m_bDebug;
	CString	m_strRomDir;
	CString	m_strEmuDir;
	CString	m_strShotDir;
	CString	m_strPictureViewer;
	CString	m_strTextViewer;
	CString	m_strCoverDir;
	CString	m_strManualDir;
	CString	m_strRomFile;
	BOOL	m_bEnableFilter;
	BOOL	m_bEuroMode;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTabSettings)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTabSettings)
	virtual BOOL OnInitDialog();
	afx_msg void OnFullscreen();
	afx_msg void OnScanlines();
	afx_msg void OnReleasedcaptureAudioSlider(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureVoiceSlider(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnNoaudio();
	afx_msg void OnNovoice();
	afx_msg void OnReleasedcaptureSpeedSlider(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSpeedlimiter();
	afx_msg void OnDebugmode();
	afx_msg void OnBrowse();
	afx_msg void OnBrowse3();
	afx_msg void OnBrowse4();
	afx_msg void OnBrowse6();
	afx_msg void OnBrowse5();
	afx_msg void OnBrowse7();
	afx_msg void OnBrowse8();
	afx_msg void OnBrowse9();
	afx_msg void OnPaint();
	afx_msg void OnEnableFilter();
	afx_msg void OnEuroMode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABSETTINGS_H__9549869F_C4E1_4030_919A_B639AE7760DE__INCLUDED_)
